Unbind
Storage

Create S3 Bucket

Store an S3 bucket (endpoint, bucket and credentials) for use as a backup target.

POST
/storage/s3/create

Store an S3 bucket (endpoint, bucket and credentials) for use as a backup target.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

access_key_id*string
Length1 <= length
bucket*string
Length1 <= length
endpoint*string
Length1 <= length
name*string

Has to be unique in the team

Length1 <= length <= 32
region*string
secret_key*string
Length1 <= length
team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/storage/s3/create" \  -H "Content-Type: application/json" \  -d '{    "access_key_id": "string",    "bucket": "string",    "endpoint": "string",    "name": "string",    "region": "string",    "secret_key": "string",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "access_key": "string",    "bucket": "string",    "created_at": "2019-08-24T14:15:22Z",    "endpoint": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "region": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}